Join FlipAndroid.COM Telegram Group: https://t.me/joinchat/F_aqThGkhwcLzmI49vKAiw


El proyecto no fue construido ya que su camino de construcción es incompleto

Cada vez que intento importar un proyecto descargado de googlecode en Eclipse pero tengo algunos errores:

El proyecto no fue construido ya que su camino de construcción es incompleto. No se puede encontrar el archivo de clase para java.lang.Object. Corregir la ruta de construcción y luego intentar crear este proyecto

No se puede resolver el objetivo 'android-10' (esto cambia de 1 a 15)

Ya he comprobado las otras respuestas en el sitio, pero no funcionó ninguna solución.

En

Propiedades -> Java Build Path -> Bibliotecas

Hay 1 artículo:

No se pueden obtener bibliotecas del sistema para el proyecto

17 Solutions collect form web for “El proyecto no fue construido ya que su camino de construcción es incompleto”

Parece que le falta JDK (java.lang.Object viene de allí)

El problema es que utilizaste la misma API de Android en diferentes PC. Eclipse se pierde con nombres de ruta que son diferentes pero con la misma API.

Para solucionarlo, primero vuelva a seleccionar la versión de la API de Android (establecida en otra y válida, luego restaure la que desee y valídela -> forzará a Eclipse a recargar la API). Luego entra en el proyecto-> properties-> java build path. A continuación, elimine "No se puede obtener la biblioteca del sistema para el proyecto", luego "Agregar biblioteca" y seleccione "Contenedor de Classpath de Android".

Haga clic con el botón derecho en el proyecto -> Propiedades -> Ruta de la estructura de Java (desde la lista de la izquierda) -> Bibliotecas (Tab) -> Agregar biblioteca (Botón a la derecha) -> JRE System Library -> Siguiente ->

Esto debería solucionar al menos uno de sus errores. Cualquier otro puede requerir que agregue bibliotecas adicionales.

Espero que esto ayude.

Cerrar eclipse y volver a abrir funcionó para mí. Puede que tenga que hacer esto dos o tres veces. Cada vez, déle un minuto para que el proceso de inicio automático de construcción (consulte la esquina inferior derecha) se complete, ya que estos errores a menudo desaparecen en este momento.

O trate de limpiar los proyectos afectados.

Apaga y vuelve a encender

Inicialmente estaba tratando de importar un proyecto de androide de github y se encontró con el problema anterior

  • No se puede configurar la ruta de construcción

  • Incapaz de obtener bibliotecas del sistema


Package Explorer -> Haga clic con el botón derecho del ratón en el proyecto -> "Propiedades" -> "Android" -> "Project Build Target" = 2.3.3

Nota: Pruebe también Limpiar (En Windows: Proyecto -> Limpiar) y luego Actualizar (F5) al azar. Hay una buena probabilidad de que esto mágicamente resolver todos sus problemas.


Cortesía: KYLE CLEGG
Enlace de referencia

Ir a eclipse -> preferencias -> java -> construir ruta.

¿Ves un JRE_LIB configurado allí? Si no es así, agregue JRE_LIB desde la ubicación JDK / jre lib. Estos pueden ser superados por proyecto. Parece que tu eclipse no es consciente de las bibliotecas Java.

Nada de esto funcionó para mí. Creé un nuevo espacio de trabajo para los proyectos. ¡Eso funcionó para mí! Cambiar a un nuevo espacio de trabajo por lo general resuelve milagrosamente muchos de estos problemas de configuración. Simplemente cree una nueva carpeta donde desee que sea su nuevo espacio de trabajo y luego utilice "importar proyecto de código existente".

He visto estos errores en el pasado mientras importa proyectos en eclipse. La solución a esto es ir a las propiedades-> Android y seleccionar el objetivo de construcción del proyecto apropiadamente (Android xxx o API de Google)

Estaba luchando con esto mientras trataba de cargar la aplicación de ejemplo Vuforia por mucho tiempo hoy. La solución que finalmente consiguió mi proyecto para construir era:

1) Ventana-> Android SDK Manager e instalar las últimas actualizaciones
2) Proyecto-> Construir ruta-> Configurar Build Path-> Android y bajo Project Build Marca de destino Android 4.4.2 y haga clic en Aceptar
3) Limpiar, construir y ejecutar

Espero que esto resuelva el problema de otra persona también, Eclipse es frustrante como F # # @!

Tuve que borrar R.java en la carpeta gen luego hacer una compilación limpia. Esto resolvió mi problema

La respuesta de Steve no ayuda para algunos proyectos, pero aún para algunos proyectos sigue siendo el mismo, supongo que los proyectos antes de construir en JDK temprano 1.5 (En mi caso). Encontró una solución para ellos,

1. Encuentre la clase que causa el problema (siga expandiendo el proyecto en el Explorador de paquetes).

2.Copiar el contenido de la clase después del bloque de import .

3. Elimine toda la clase.

4.Right Haga clic en el proyecto y, a continuación, herramientas de Android >> Fix Project Properties

5.Create una clase con el mismo nombre en el mismo paquete que la clase eliminada antes. (Si el proyecto es importado y la clase eliminada fue Actividad / Servicio / Proveedor / Receptor entonces supongo que la clase ya está incluida en el AndroidManifest.xml ).

6.Paste el contenido de la clase y los paquetes de importación.

7. Limpie el proyecto.

He tenido un problema similar. Exacto mismo error, pero en Ubuntu después de que trabajé en el proyecto en la carpeta de Dropbox de Windows. Acabo de añadir android.jar al proyecto. De alguna manera desapareció del camino de la construcción.

Para mí este problema estaba relacionado con OpenJDK 6 en Ubuntu.

Actualice su JRE o instale el JRE propietario de Sun y reinicie Eclipse.

Sé que es demasiado tarde. Pero también estoy frente a este problema y lo soluciono siguiendo los pasos siguientes.

  1. Este problema se produce sólo si el proyecto compartido entre máquinas diferentes.
  2. Para mí encontré java JDK es el problema.
  3. Mi colega usó el sistema mac y el uso de jdk 1.7. Pero en mi sistema utilicé jdk 1.6.
  4. Supongo que puede ser el problema. Así que seleccionar el proyecto y abrir las propiedades y cambiar mi jdk a 1.7
  5. Cambiar target = Google Inc.:Google APIs: 19
  6. Limpiar y construir

Finalmente el problema es fijo. Creo que esto es debido a Si usted construye su proyecto con mayor versión de JDK a partir de entonces debe construir con la misma versión.

NOTA: no estamos enfrentando este problema antes hasta que mi colega construya con JDK 1.7. Después de que comenzó a usar JDK 1.7 sólo se produce este problema.

Espero que funcione para alguien. Y no hay necesidad de instalar nuevo eclipse.

Tuve mi "Build Automatically" desactivado en "Proyecto". Lo apagué, porque el Eclipse no estaba cargando los proyectos correctamente, por varias razones desconocidas. En cuanto a esto, solucioné mi problema.

Si el proyecto no es muy grande, puede copiar los paquetes y pegarlo en un nuevo proyecto, no verá los errores en el nuevo proyecto.

Yo estaba teniendo target-18 en mi proyecto.properties. Pero yo no estaba teniendo android-18 sdk. Así que cambié 18 a alguna otra versión que tenía en mi gestor de SDK, y arregló el problema.

Usted acaba de salir de eclipse una o dos veces para volver a cargar. Esto funciona para mi.

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.